Skip to main content
GET
Get team activity

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.

Query Parameters

companyId
string<uuid>[]

Limit to one or more companies (repeat the key or comma-separate)

Maximum array length: 100
userId
string<uuid>

Feed: limit to one teammate

entityType
string

Feed: one entity type, such as tickets or planner_items

Maximum string length: 100
actionType
enum<string>

Feed: one action type

Available options:
create,
insert,
update,
delete,
view,
login
dateFrom
string<date-time>

Inclusive ISO-8601 start; defaults to 24 hours before dateTo (or before now when dateTo is omitted)

dateTo
string<date-time>

Inclusive ISO-8601 end; defaults to now

includeSystem
boolean
default:false

Include background and integration activity

includeFeed
boolean | null
default:false

Include the detailed, paginated feed

page
integer
default:1

Feed page

Required range: 1 <= x <= 10000
limit
integer
default:50

Feed page size

Required range: 1 <= x <= 100

Response

Team activity

data
object
required